---
apiVersion: discovery.k8s.io/v1beta1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.128.0.3
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: openshift-apiserver-operator-56c79799ff-ntg2n
      namespace: openshift-apiserver-operator
      resourceVersion: "15544"
      uid: 00ffc0e6-7e12-42a6-873e-eaed95f5b4bf
    topology:
      kubernetes.io/hostname: master-1.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:42:50Z"
    creationTimestamp: "2022-03-08T10:14:05Z"
    generateName: metrics-
    generation: 6
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: metrics
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"da5ce30f-14e2-4b63-b697-ce1611cfaa5d"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:38:49Z"
    name: metrics-pskmf
    namespace: openshift-apiserver-operator
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: metrics
      uid: da5ce30f-14e2-4b63-b697-ce1611cfaa5d
    resourceVersion: "15547"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-apiserver-operator/endpointslices/metrics-pskmf
    uid: 490c67e4-d67f-4aa9-941b-e9fa424b6b43
  ports:
  - name: https
    port: 8443
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "83250"
  selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-apiserver-operator/endpointslices
